Skip to Content.
Sympa Menu

notify-dpml - r857 - in trunk/main: . depot/core/console/etc/bin depot/library/console/etc/bin

notify-dpml AT lists.ibiblio.org

Subject: DPML Notify

List archive

Chronological Thread  
  • From: carelparadis AT mail.berlios.de
  • To: notify-dpml AT lists.ibiblio.org
  • Subject: r857 - in trunk/main: . depot/core/console/etc/bin depot/library/console/etc/bin
  • Date: Wed, 4 Jan 2006 22:14:20 +0100

Author: carelparadis
Date: 2006-01-04 22:13:37 +0100 (Wed, 04 Jan 2006)
New Revision: 857

Modified:
trunk/main/bootstrap
trunk/main/depot/core/console/etc/bin/depot
trunk/main/depot/core/console/etc/bin/depot-cygwin.sh
trunk/main/depot/core/console/etc/bin/depot-unix.sh
trunk/main/depot/library/console/etc/bin/build
Log:
Resolve build time issues on Linux.

Modified: trunk/main/bootstrap
===================================================================
--- trunk/main/bootstrap 2006-01-04 20:49:50 UTC (rev 856)
+++ trunk/main/bootstrap 2006-01-04 21:13:37 UTC (rev 857)
@@ -1,104 +1,105 @@
-#!/bin/sh
-#
-# Utility script that executes the bootstrap build.
-#
-# The following command will bootstrap using the SNAPSHOT version identifier.
-#
-# $ bootstrap
-#
-# Versioned builds can be invoked using the following command (where '123'
is the version to build):
-#
-# $ bootstrap 123
-#
-
-build()
-{
- STATUS=99
- while [ "$STATUS" -eq 99 ] ; do
- if [ -n "$ID" ] ; then
- BUILD_ID="-Dbuild.signature=$ID"
- else
- BUILD_ID=""
- fi
- echo "building project with release ID [$ID]"
- ant $BUILD_ID "$@"
- STATUS="$?"
- done
- if [ "$STATUS" == 0 ] ; then
- echo ""
- else
- exit 1
- fi
-}
-
-antlibCleanup()
-{
- # need something in here to delete dpml content in .ant/lib
-}
-
-transitMain()
-{
- cd transit/core
- build clean install
- cd ../..
-}
-
-transitTools()
-{
- cd transit/tools
- build clean install
- cd ../..
-}
-
-depotLibrary()
-{
- cd depot/library/common
- build clean install
- cd ../../..
-}
-
-depotAntBuilder()
-{
- cd depot/tools/builder
- build clean install
- cd ../../..
-}
-
-externalModules()
-{
- cd external
- build clean install
- cd ..
-}
-
-utilCli()
-{
- cd util/cli
- build clean install
- cd ../..
-}
-
-depotLibraryConsole()
-{
- cd depot/library/console
- build clean install
- cd ../../..
-}
-
-depotCoreConsole()
-{
- cd depot/core/console
- build clean bootstrap
- cd ../../..
-}
-
-ID=$1
-antlibCleanup
-transitMain
-transitTools
-depotLibrary
-depotAntBuilder
-externalModules
-utilCli
-depotLibraryConsole
-depotCoreConsole
+#!/bin/sh
+#
+# Utility script that executes the bootstrap build.
+#
+# The following command will bootstrap using the SNAPSHOT version identifier.
+#
+# $ bootstrap
+#
+# Versioned builds can be invoked using the following command (where '123'
is the version to build):
+#
+# $ bootstrap 123
+#
+
+build()
+{
+ STATUS=99
+ while [ "$STATUS" -eq 99 ] ; do
+ if [ -n "$ID" ] ; then
+ BUILD_ID="-Dbuild.signature=$ID"
+ else
+ BUILD_ID=""
+ fi
+ echo "building project with release ID [$ID]"
+ ant $BUILD_ID "$@"
+ STATUS="$?"
+ done
+ if [ "$STATUS" == 0 ] ; then
+ echo ""
+ else
+ exit 1
+ fi
+}
+
+antlibCleanup()
+{
+ # need something in here to delete dpml content in .ant/lib
+ cd .
+}
+
+transitMain()
+{
+ cd transit/core
+ build clean install
+ cd ../..
+}
+
+transitTools()
+{
+ cd transit/tools
+ build clean install
+ cd ../..
+}
+
+depotLibrary()
+{
+ cd depot/library/common
+ build clean install
+ cd ../../..
+}
+
+depotAntBuilder()
+{
+ cd depot/tools/builder
+ build clean install
+ cd ../../..
+}
+
+externalModules()
+{
+ cd external
+ build clean install
+ cd ..
+}
+
+utilCli()
+{
+ cd util/cli
+ build clean install
+ cd ../..
+}
+
+depotLibraryConsole()
+{
+ cd depot/library/console
+ build clean install
+ cd ../../..
+}
+
+depotCoreConsole()
+{
+ cd depot/core/console
+ build clean bootstrap
+ cd ../../..
+}
+
+ID=$1
+antlibCleanup
+transitMain
+transitTools
+depotLibrary
+depotAntBuilder
+externalModules
+utilCli
+depotLibraryConsole
+depotCoreConsole

Modified: trunk/main/depot/core/console/etc/bin/depot
===================================================================
--- trunk/main/depot/core/console/etc/bin/depot 2006-01-04 20:49:50 UTC (rev
856)
+++ trunk/main/depot/core/console/etc/bin/depot 2006-01-04 21:13:37 UTC (rev
857)
@@ -1,69 +1,69 @@
-#!/bin/sh
-#
-# Copyright 2004 Niclas Hedhman
-# Copyright 2005 Stephen McConnnell
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied.
-#
-# See the License for the specific language governing permissions and
-# limitations under the License
-if [ ! "$DPML_HOME" ]; then
- DPML_HOME="$HOME/.dpml"
- export DPML_HOME
-fi
-
-if [ ! "$DPML_SYSTEM" ]; then
- CWD=`pwd`
- BIN_DIR=`dirname "$0"`
- cd "$BIN_DIR"
- ABSOLUTE_PATH=`pwd`
- cd "$CWD"
- DPML_SYSTEM=`dirname "$ABSOLUTE_PATH"`
- export DPML_SYSTEM
-fi
-
-# Checking for JAVA_HOME is required on *nix due
-# to some distributions including kaffe in /usr/bin
-#
-
-if [ "$JAVA_HOME" = "" ] ; then
- echo "ERROR: JAVA_HOME not found in your environment."
- echo
- echo "Please, set the JAVA_HOME variable in your environment to match the
location"
- echo " of the Java Virtual Machine you want to use."
- echo
- echo "This requirement is in place to avoid accidental execution of
pre-installed"
- echo "Java virtual machines on your system, such as kaffe or any outdated
Sun or"
- echo "Blackdown JVMs. Sorry for the inconvenience."
- exit 1
-fi
-
-PLATFORM=`uname`
-export PLATFORM
-
-DEPOT_VERSION="@BUILD-ID@"
-export DEPOT_VERSION
-
-SECURITY_POLICY=$DPML_SYSTEM/bin/security.policy
-export SECURITY_POLICY
-
-DEPOT_CLASSPATH=$DPML_SYSTEM/lib/@DEPOT-PATH@:$DPML_SYSTEM/lib/@TRANSIT-PATH@
-export DEPOT_CLASSPATH
-
-if [ `echo $PLATFORM | grep "CYGWIN"` ] ; then
- exec "$DPML_SYSTEM/bin/depot-cygwin.sh" "$@"
-elif [ `echo $PLATFORM | grep "Linux"` ] ; then
- exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
-else
- echo "Starting Default Unix script"
- exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
-fi
+#!/bin/sh
+#
+# Copyright 2004 Niclas Hedhman
+# Copyright 2005 Stephen McConnnell
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+#
+# See the License for the specific language governing permissions and
+# limitations under the License
+if [ ! "$DPML_HOME" ]; then
+ DPML_HOME="$HOME/.dpml"
+ export DPML_HOME
+fi
+
+if [ ! "$DPML_SYSTEM" ]; then
+ CWD=`pwd`
+ BIN_DIR=`dirname "$0"`
+ cd "$BIN_DIR"
+ ABSOLUTE_PATH=`pwd`
+ cd "$CWD"
+ DPML_SYSTEM=`dirname "$ABSOLUTE_PATH"`
+ export DPML_SYSTEM
+fi
+
+# Checking for JAVA_HOME is required on *nix due
+# to some distributions including kaffe in /usr/bin
+#
+
+if [ "$JAVA_HOME" = "" ] ; then
+ echo "ERROR: JAVA_HOME not found in your environment."
+ echo
+ echo "Please, set the JAVA_HOME variable in your environment to match the
location"
+ echo " of the Java Virtual Machine you want to use."
+ echo
+ echo "This requirement is in place to avoid accidental execution of
pre-installed"
+ echo "Java virtual machines on your system, such as kaffe or any outdated
Sun or"
+ echo "Blackdown JVMs. Sorry for the inconvenience."
+ exit 1
+fi
+
+PLATFORM=`uname`
+export PLATFORM
+
+DEPOT_VERSION="@BUILD-ID@"
+export DEPOT_VERSION
+
+SECURITY_POLICY=$DPML_SYSTEM/bin/security.policy
+export SECURITY_POLICY
+
+DEPOT_CLASSPATH=$DPML_SYSTEM/lib/@DEPOT-PATH@:$DPML_SYSTEM/lib/@TRANSIT-PATH@
+export DEPOT_CLASSPATH
+
+if [ `echo $PLATFORM | grep "CYGWIN"` ] ; then
+ exec "$DPML_SYSTEM/bin/depot-cygwin.sh" "$@"
+elif [ `echo $PLATFORM | grep "Linux"` ] ; then
+ exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
+else
+ echo "Starting Default Unix script"
+ exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
+fi

Modified: trunk/main/depot/core/console/etc/bin/depot-cygwin.sh
===================================================================
--- trunk/main/depot/core/console/etc/bin/depot-cygwin.sh 2006-01-04
20:49:50 UTC (rev 856)
+++ trunk/main/depot/core/console/etc/bin/depot-cygwin.sh 2006-01-04
21:13:37 UTC (rev 857)
@@ -1,48 +1,48 @@
-#!/bin/sh
-#
-# Copyright 2004 Niclas Hedhman
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied.
-#
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-
-# For Cygwin, ensure paths are in UNIX format before anything is touched
-JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
-[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
-
-JAVA="$JAVA_HOME/bin/java"
-
-# switch necessary paths to Windows format before running java
-JAVA_HOME=`cygpath --windows "$JAVA_HOME"`
-DPML_HOME=`cygpath --windows "$DPML_HOME"`
-DPML_SYSTEM=`cygpath --windows "$DPML_SYSTEM"`
-DEPOT_CLASSPATH=`cygpath --windows "$DEPOT_CLASSPATH"`
-[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
-
-TITLE="Starting Depot $DEPOT_VERSION."
-echo $TITLE
-echo "$TITLE" | sed 's/./=/g'
-echo " Platform: $PLATFORM"
-echo " Java Home: $JAVA_HOME"
-echo " DPML System: $DPML_SYSTEM"
-echo " DPML Home: $DPML_HOME"
-echo " Security policy: $SECURITY_POLICY"
-echo " JVM Options: $DEPOT_JVM_OPTS"
-echo " Depot Classpath: $DEPOT_CLASSPATH"
-echo " Depot Arguments: $DEPOT_ARGS $@"
-echo ""
-
-ARGS="$DEPOT_JVM_OPTS -Djava.system.class.loader=@DEPOT-CLASSLOADER-CLASS@
\"-Djava.security.policy=$SECURITY_POLICY\" -Djava.rmi.server.randomIDs=true
-Djava.rmi.server.RMIClassLoaderSpi=net.dpml.depot.DepotRMIClassLoaderSpi
-Djava.protocol.handler.pkgs=net.dpml.transit -classpath \"$DEPOT_CLASSPATH\"
@DEPOT-MAIN-CLASS@ $DEPOT_ARGS $@"
-
-echo $ARGS | xargs "$JAVA"
+#!/bin/sh
+#
+# Copyright 2004 Niclas Hedhman
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+#
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+
+JAVA="$JAVA_HOME/bin/java"
+
+# switch necessary paths to Windows format before running java
+JAVA_HOME=`cygpath --windows "$JAVA_HOME"`
+DPML_HOME=`cygpath --windows "$DPML_HOME"`
+DPML_SYSTEM=`cygpath --windows "$DPML_SYSTEM"`
+DEPOT_CLASSPATH=`cygpath --windows "$DEPOT_CLASSPATH"`
+[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+
+TITLE="Starting Depot $DEPOT_VERSION."
+echo $TITLE
+echo "$TITLE" | sed 's/./=/g'
+echo " Platform: $PLATFORM"
+echo " Java Home: $JAVA_HOME"
+echo " DPML System: $DPML_SYSTEM"
+echo " DPML Home: $DPML_HOME"
+echo " Security policy: $SECURITY_POLICY"
+echo " JVM Options: $DEPOT_JVM_OPTS"
+echo " Depot Classpath: $DEPOT_CLASSPATH"
+echo " Depot Arguments: $DEPOT_ARGS $@"
+echo ""
+
+ARGS="$DEPOT_JVM_OPTS -Djava.system.class.loader=@DEPOT-CLASSLOADER-CLASS@
\"-Djava.security.policy=$SECURITY_POLICY\" -Djava.rmi.server.randomIDs=true
-Djava.rmi.server.RMIClassLoaderSpi=net.dpml.depot.DepotRMIClassLoaderSpi
-Djava.protocol.handler.pkgs=net.dpml.transit -classpath \"$DEPOT_CLASSPATH\"
@DEPOT-MAIN-CLASS@ $DEPOT_ARGS $@"
+
+echo $ARGS | xargs "$JAVA"

Modified: trunk/main/depot/core/console/etc/bin/depot-unix.sh
===================================================================
--- trunk/main/depot/core/console/etc/bin/depot-unix.sh 2006-01-04 20:49:50
UTC (rev 856)
+++ trunk/main/depot/core/console/etc/bin/depot-unix.sh 2006-01-04 21:13:37
UTC (rev 857)
@@ -1,37 +1,37 @@
-#!/bin/sh
-#
-# Copyright 2004 Niclas Hedhman
-# Copyright 2005 Stephen McConnell
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied.
-#
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-TITLE="Starting Depot $DEPOT_VERSION."
-echo $TITLE
-echo "$TITLE" | sed 's/./=/g'
-echo " Platform: $PLATFORM"
-echo " Java Home: $JAVA_HOME"
-echo " DPML System: $DPML_SYSTEM"
-echo " DPML Home: $DPML_HOME"
-echo " Security policy: $SECURITY_POLICY"
-echo " JVM Options: $DEPOT_JVM_OPTS"
-echo " Depot Classpath: $DEPOT_CLASSPATH"
-echo " Depot Arguments: $DEPOT_ARGS $@"
-echo ""
-
-JAVA="$JAVA_HOME/bin/java"
-
-ARGS="$DEPOT_JVM_OPTS -Djava.system.class.loader=@DEPOT-CLASSLOADER-CLASS@
\"-Djava.security.policy=$SECURITY_POLICY\" -Djava.rmi.server.randomIDs=true
-Djava.rmi.server.RMIClassLoaderSpi=net.dpml.depot.DepotRMIClassLoaderSpi
-Djava.protocol.handler.pkgs=net.dpml.transit -classpath \"$DEPOT_CLASSPATH\"
@DEPOT-MAIN-CLASS@ $DEPOT_ARGS $@"
-
-echo $ARGS | xargs "$JAVA"
+#!/bin/sh
+#
+# Copyright 2004 Niclas Hedhman
+# Copyright 2005 Stephen McConnell
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+#
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+TITLE="Starting Depot $DEPOT_VERSION."
+echo $TITLE
+echo "$TITLE" | sed 's/./=/g'
+echo " Platform: $PLATFORM"
+echo " Java Home: $JAVA_HOME"
+echo " DPML System: $DPML_SYSTEM"
+echo " DPML Home: $DPML_HOME"
+echo " Security policy: $SECURITY_POLICY"
+echo " JVM Options: $DEPOT_JVM_OPTS"
+echo " Depot Classpath: $DEPOT_CLASSPATH"
+echo " Depot Arguments: $DEPOT_ARGS $@"
+echo ""
+
+JAVA="$JAVA_HOME/bin/java"
+
+ARGS="$DEPOT_JVM_OPTS -Djava.system.class.loader=@DEPOT-CLASSLOADER-CLASS@
\"-Djava.security.policy=$SECURITY_POLICY\" -Djava.rmi.server.randomIDs=true
-Djava.rmi.server.RMIClassLoaderSpi=net.dpml.depot.DepotRMIClassLoaderSpi
-Djava.protocol.handler.pkgs=net.dpml.transit -classpath \"$DEPOT_CLASSPATH\"
@DEPOT-MAIN-CLASS@ $DEPOT_ARGS $@"
+
+echo $ARGS | xargs "$JAVA"

Modified: trunk/main/depot/library/console/etc/bin/build
===================================================================
--- trunk/main/depot/library/console/etc/bin/build 2006-01-04 20:49:50
UTC (rev 856)
+++ trunk/main/depot/library/console/etc/bin/build 2006-01-04 21:13:37
UTC (rev 857)
@@ -1,4 +1,4 @@
-#!/bin/sh
-#
-
-depot -Ddpml.depot.application=dpml.builder $*
+#!/bin/sh
+#
+
+depot -Ddpml.transit.include.tools=true
-Ddpml.depot.application=dpml.builder $*




  • r857 - in trunk/main: . depot/core/console/etc/bin depot/library/console/etc/bin, carelparadis, 01/04/2006

Archive powered by MHonArc 2.6.24.

Top of Page